#ifndef __vtkPseudoReader_h
#define __vtkPseudoReader_h

#include "vtkMultiBlockDataSetAlgorithm.h"

class vtkDataArraySelection;

class VTK_EXPORT vtkPseudoReader : public vtkMultiBlockDataSetAlgorithm
{
public:
  static vtkPseudoReader *New();
  vtkTypeRevisionMacro(vtkPseudoReader, vtkMultiBlockDataSetAlgorithm);

  void PrintSelf(ostream &, vtkIndent);

  vtkSetStringMacro(FileName);
  vtkGetStringMacro(FileName);

  int GetNumberOfCellArrays(void);
  int GetCellArrayStatus(const char *name);
  void SetCellArrayStatus(const char *name, int status);
  const char *GetCellArrayName(int index);

protected:
  vtkPseudoReader();
  ~vtkPseudoReader();

  int RequestInformation(vtkInformation *, vtkInformationVector **,
    vtkInformationVector *);
  int RequestData(vtkInformation *, vtkInformationVector **,
    vtkInformationVector *);

private:
  char *FileName;
  vtkDataArraySelection *CellDataArraySelection;

  vtkPseudoReader(const vtkPseudoReader &); // Not implemented.
  void operator=(const vtkPseudoReader &); // Not implemented.
};

#endif
